import { AfterViewInit, ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { PopupEntity, PopupPositionOffset } from '@ironsource/fusion-ui/components/popup/common/entities';
import { PopupService } from '@ironsource/fusion-ui/components/popup/common/services';
import * as i0 from "@angular/core";
export declare abstract class PopupBaseComponent implements OnInit, AfterViewInit {
    private renderer;
    private popupService;
    dynamicContent: ElementRef;
    popupContainer: ElementRef;
    set popupData(value: PopupEntity);
    clickedOutside: EventEmitter<HTMLElement>;
    private isOnInit;
    private _popupData;
    get popupData(): PopupEntity;
    get isOpened(): boolean;
    get isHostElement(): boolean;
    get isNativeElement(): boolean;
    get elementHostOffset(): PopupPositionOffset;
    onResize(): void;
    constructor(renderer: Renderer2, popupService: PopupService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    _setPosition(): void;
    private resetPopup;
    /**
     * in first detect changes function been invoked so we set it to work only from second and above
     */
    onClickOutside(targetElement: HTMLElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopupBaseComponent, never, never, { "popupData": { "alias": "popupData"; "required": false; }; }, { "clickedOutside": "clickedOutside"; }, never, never, false, never>;
}
